System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details.

The interface provides the following methods:

The method returns the component with the specified name, or null if no component with the specified name was found.

The method returns the name associated with the specified component.

The method returns the parent container of the specified component.

The method returns an array of references to all project components, or all project components of an optionally specified type.

Provides an interface for obtaining references to objects within a project by name or type, obtaining the name of a specified object, and for locating the parent of a specified object within a designer project.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.IComponent `` To be added

  Gets the component that contains the specified component.

  The base that contains the specified object, or null if no parent component exists.

  The object to retrieve the parent component for.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String ``

  The name of each component sited in a design time project is set in the property of the where the component is sited.

  Gets the name of the specified component.

  The name of the object referenced, or null if the object reference is not valid.

  The object to return the name of.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object `` To be added

  Gets a reference to the component whose name matches the specified name.

  An object the specified name refers to, or null if no reference is found.

  The name of the component to return a reference to.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object[] To be added

  Gets all available references to project components.

  An array of all objects with references available to the .

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object[] `` To be added

  Gets all available references to components of the specified type.

  An array of all available objects of the specified type.

  The type of object to return references to instances of.